Kwalitee Issues

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Bio::GMOD::Blast::Graph::BaseObj, Bio::GMOD::Blast::Graph::Bucket, Bio::GMOD::Blast::Graph::BucketSet, Bio::GMOD::Blast::Graph::HitWrapper, Bio::GMOD::Blast::Graph::List, Bio::GMOD::Blast::Graph::ListEnumerator, Bio::GMOD::Blast::Graph::ListSet, Bio::GMOD::Blast::Graph::ListSetEnumerator, Bio::GMOD::Blast::Graph::MapDefs, Bio::GMOD::Blast::Graph::MapSpace, Bio::GMOD::Blast::Graph::MapUtils, Bio::GMOD::Blast::Graph::MyDebug, Bio::GMOD::Blast::Graph::MyMath, Bio::GMOD::Blast::Graph::MyUtils, Bio::GMOD::Blast::Graph::ScientificNotation, Bio::GMOD::Blast::Graph::WrapList, Bio::GMOD::Blast::Graph::WrapPartitionsFixed

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Bio::GMOD::Blast::Graph, Bio::GMOD::Blast::Graph::BaseObj, Bio::GMOD::Blast::Graph::Bucket, Bio::GMOD::Blast::Graph::BucketSet, Bio::GMOD::Blast::Graph::HitWrapper, Bio::GMOD::Blast::Graph::IntSpan, Bio::GMOD::Blast::Graph::List, Bio::GMOD::Blast::Graph::ListEnumerator, Bio::GMOD::Blast::Graph::ListSet, Bio::GMOD::Blast::Graph::ListSetEnumerator, Bio::GMOD::Blast::Graph::MapDefs, Bio::GMOD::Blast::Graph::MapSpace, Bio::GMOD::Blast::Graph::MapUtils, Bio::GMOD::Blast::Graph::MyDebug, Bio::GMOD::Blast::Graph::MyMath, Bio::GMOD::Blast::Graph::MyUtils, Bio::GMOD::Blast::Graph::ScientificNotation, Bio::GMOD::Blast::Graph::WrapList, Bio::GMOD::Blast::Graph::WrapPartitionsFixed

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Bio::GMOD::Blast::Graph display a graphical summary of a BLAST report 0.06 metacpan
Bio::GMOD::Blast::Graph::BaseObj 0.06 metacpan
Bio::GMOD::Blast::Graph::Bucket 0.06 metacpan
Bio::GMOD::Blast::Graph::BucketSet 0.06 metacpan
Bio::GMOD::Blast::Graph::HitWrapper 0.06 metacpan
Bio::GMOD::Blast::Graph::IntSpan Manages sets of integers 0.06 metacpan
Bio::GMOD::Blast::Graph::List 0.06 metacpan
Bio::GMOD::Blast::Graph::ListEnumerator 0.06 metacpan
Bio::GMOD::Blast::Graph::ListSet 0.06 metacpan
Bio::GMOD::Blast::Graph::ListSetEnumerator 0.06 metacpan
Bio::GMOD::Blast::Graph::MapDefs 0.06 metacpan
Bio::GMOD::Blast::Graph::MapSpace 0.06 metacpan
Bio::GMOD::Blast::Graph::MapUtils 0.06 metacpan
Bio::GMOD::Blast::Graph::MyDebug 0.06 metacpan
Bio::GMOD::Blast::Graph::MyMath 0.06 metacpan
Bio::GMOD::Blast::Graph::MyUtils 0.06 metacpan
Bio::GMOD::Blast::Graph::ScientificNotation 0.06 metacpan
Bio::GMOD::Blast::Graph::WrapList 0.06 metacpan
Bio::GMOD::Blast::Graph::WrapPartitionsFixed 0.06 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
README.md metacpan
dist.ini metacpan